package com.yihu.jw.entity.ylzinfo;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Trick on 2019/7/26.
 */
@Entity
@Table(name = "oauth_ylz_config")
public class OauthYlzConfigDO extends UuidIdentityEntity {

    private String appId;
    private String appKey;
    private String termId;
    private String version;
    private String signType;
    private String encType;
    private String url;
//    @Column(name = "private_key")
    private String privateKey;
//    @Column(name = "ehc_public_key")
    private String ehcPublicKey;


    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getTermId() {
        return termId;
    }

    public void setTermId(String termId) {
        this.termId = termId;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getEncType() {
        return encType;
    }

    public void setEncType(String encType) {
        this.encType = encType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPrivateKey() {
        return privateKey;
    }

    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

    public String getEhcPublicKey() {
        return ehcPublicKey;
    }

    public void setEhcPublicKey(String ehcPublicKey) {
        this.ehcPublicKey = ehcPublicKey;
    }
}
